-- fusentest.fs_order_detail definition

CREATE TABLE `fs_order_detail` (
   `id` int(11) NOT NULL AUTO_INCREMENT,
   `sn` char(32) NOT NULL COMMENT '唯一编码',
   `order_id` int(11) NOT NULL COMMENT '订单ID',
   `user_id` int(11) DEFAULT NULL COMMENT '用户ID',
   `factory_id` smallint(6) DEFAULT '0' COMMENT '工厂ID',
   `order_detail_template_id` int(11) NOT NULL COMMENT '详情templateID',
   `product_id` int(11) NOT NULL COMMENT '产品ID',
   `buy_num` int(11) NOT NULL COMMENT '购买数量',
   `push_num` int(11) NOT NULL COMMENT '已发数量',
   `amount` int(11) NOT NULL COMMENT '单价',
   `cover` varchar(128) NOT NULL COMMENT '截图',
   `ctime` int(11) NOT NULL COMMENT '添加时间',
   `status` tinyint(4) NOT NULL COMMENT '状态位 是否推送到厂家 是否生产完成 是否发货完成',
   `optional_id` int(11) NOT NULL DEFAULT '0' COMMENT '选项ID',
   `optional_title` varchar(64) NOT NULL COMMENT '选项名称',
   `option_price` int(11) NOT NULL DEFAULT '0' COMMENT '配件价格',
   `is_tofactory` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否推送到工厂',
   `is_product` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否生产中',
   `is_product_completion` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否生产完成',
   `is_cloud` tinyint(1) NOT NULL COMMENT '是否是云仓订单',
   `is_tocloud` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已发云仓(云仓单要发货到云仓，直接发到用户的不需要发到云仓)',
   `is_deliver` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已发货',
   `is_end` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否完成订单(签收)',
   `cart_id` int(10) NOT NULL DEFAULT '0' COMMENT '购物车编号',
   PRIMARY KEY (`id`) USING BTREE,
   UNIQUE KEY `sn` (`sn`) USING BTREE,
   KEY `order_id` (`order_id`) USING BTREE,
   KEY `cart_id` (`cart_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1049 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='订单详细表';