-- fusentest.fs_cart definition

CREATE TABLE `fs_cart` (
   `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'id',
   `user_id` int(10) unsigned DEFAULT NULL COMMENT '用户ID',
   `product_id` int(10) unsigned NOT NULL COMMENT '产品ID',
   `template_id` int(10) unsigned NOT NULL COMMENT '模板ID',
   `price_id` int(10) unsigned NOT NULL COMMENT '价格ID',
   `material_id` int(10) unsigned NOT NULL COMMENT '材质ID',
   `size_id` int(10) unsigned NOT NULL COMMENT '尺寸ID',
   `buy_num` int(10) unsigned NOT NULL COMMENT '购买数量',
   `cover` varchar(128) NOT NULL COMMENT '截图',
   `design_id` int(10) unsigned NOT NULL COMMENT '设计ID',
   `ctime` int(10) unsigned DEFAULT NULL COMMENT '添加时间',
   `status` tinyint(3) unsigned NOT NULL COMMENT '状态位',
   `optional_id` int(11) NOT NULL DEFAULT '0' COMMENT '选项ID',
   `is_check` int(11) NOT NULL COMMENT '是否选中状态（0：未选中，1：选中）',
   `ts_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
   `is_email` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否发送邮件',
   PRIMARY KEY (`id`) USING BTREE,
   KEY `user_id` (`user_id`) USING BTREE,
   KEY `product_id` (`product_id`) USING BTREE,
   KEY `template_id` (`template_id`) USING BTREE,
   KEY `price_id` (`price_id`) USING BTREE,
   KEY `material_id` (`material_id`) USING BTREE,
   KEY `size_id` (`size_id`) USING BTREE,
   KEY `design_id` (`design_id`) USING BTREE,
   KEY `optional_id` (`optional_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=800 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='购物车';