package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsOrderDetailTemplateModel = (*customFsOrderDetailTemplateModel)(nil)

type (
	// FsOrderDetailTemplateModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsOrderDetailTemplateModel.
	FsOrderDetailTemplateModel interface {
		fsOrderDetailTemplateModel
	}

	customFsOrderDetailTemplateModel struct {
		*defaultFsOrderDetailTemplateModel
	}
)

// NewFsOrderDetailTemplateModel returns a model for the database table.
func NewFsOrderDetailTemplateModel(conn sqlx.SqlConn) FsOrderDetailTemplateModel {
	return &customFsOrderDetailTemplateModel{
		defaultFsOrderDetailTemplateModel: newFsOrderDetailTemplateModel(conn),
	}
}
