package model

import (
	"gorm.io/gorm"
)

type FsMapLibrary struct {
	Id     int64   `gorm:"primary_key" json:"id"` // Id
	Title  *string `gorm:"-" json:"title"`        // 名称
	Info   *string `gorm:"-" json:"info"`         // 贴图数据
	Sort   *int64  `gorm:"-" json:"sort"`         // 排序
	Status *int64  `gorm:"-" json:"status"`       // 状态 1启用
	Ctime  *int64  `gorm:"-" json:"ctime"`        // 创建时间
	TagId  *int64  `gorm:"-" json:"tag_id"`       // 模板标签id
}
type FsMapLibraryModel struct{ db *gorm.DB }

func NewFsMapLibraryModel(db *gorm.DB) *FsMapLibraryModel { return &FsMapLibraryModel{db} }
