package model

import (
	"gorm.io/gorm"
)

type FsStandardLogo struct {
	Id     int64   `gorm:"primary_key" json:"id"` // ID
	Name   *string `gorm:"-" json:"name"`         // logo名称
	Image  *string `gorm:"-" json:"image"`        // 图片地址
	Ctime  *int64  `gorm:"-" json:"ctime"`        // 添加时间
	Status *int64  `gorm:"-" json:"status"`       // 状态 1正常 0删除
}
type FsStandardLogoModel struct{ db *gorm.DB }

func NewFsStandardLogoModel(db *gorm.DB) *FsStandardLogoModel { return &FsStandardLogoModel{db} }
